local menu = {}

function menu.draw(key)
    love.graphics.print("Menu!", 100, 10)
    love.graphics.rectangle("line", 90, 30, 150, 150)
    love.graphics.print(player.string, 100, 50)
end

function menu.keypressed(key)
    if key == "left" or key == "right" or key == "up" or key == "down" then
        player.string = "Navigate menu " .. key
    elseif key == "space" then
        player.string = "Select item"
    elseif key == "escape" then
        currentState = gameState.game
        player.string = "Standing still"
    elseif key == "q" or key == "Q" then
        currentState = gameState.quit
    end
end

function menu.keyreleased(key, scancode)
    player.string = "Awaiting input"
end

return menu