local game = {}

function game.draw(key)
    love.graphics.rectangle("fill", 100, 100, 50, 50)
    love.graphics.print(player.string, 100, 200)
end

function game.keypressed(key)
    if key == "left" or key == "right" or key == "up" or key == "down" then
        player.string = "Walking " .. key
    elseif key == "space" then
        player.string = "Nothing here!"
    elseif key == "escape" then
        currentState = gameState.menu
        player.string = "Awaiting input"
    elseif key == "q" or key == "Q" then
        currentState = gameState.quit
    end
end

function game.keyreleased(key, scancode)
    player.string = "Standing still"
end

return game